Debian Bug report logs - #347262
kolab & postfix pipe: flags=n becomes null_sender= in postfix >= 2.3

version graph

Package: kolabd; Maintainer for kolabd is Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>;

Reported by: Steffen Joeris <steffen.joeris@skolelinux.de>

Date: Mon, 9 Jan 2006 19:48:08 UTC

Severity: normal

Tags: confirmed, patch

Fixed in version kolabd/1.9.4-20060707.dfsg-1

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#347262; Package postfix. Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steffen Joeris <steffen.joeris@skolelinux.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please add patch for kolab
Date: Mon, 09 Jan 2006 20:43:11 +0100
Package: postfix
Version: 2.2.8-2
Severity: wishlist
Tags: patch

Hi

Attached I include a patch for src/pipe/pipe.c which is needed by the
Kolab packages. I think this patch will be available in the new postfix
upstream version 2.3, but it would be nice if you could add it and make
a Debian version. This would make it easier for the Kolab Maintainers.

Thanks a lot

Greetings
Steffen

Here is the finish dpatch:

#! /bin/sh /usr/share/dpatch/dpatch-run
## 30kolab.dpatch by Steffen Joeris <steffen.joeris@skolelinux.de>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Patch for Kolab.

@DPATCH@
--- postfix-2.2.8/src/pipe/pipe.c.orig  2005-02-05 05:21:23.000000000 +0100
+++ postfix-2.2.8/src/pipe/pipe.c       2005-07-19 02:49:43.000000000 +0200
@@ -51,7 +51,7 @@
 /*     \fB\er\en\fR or \fB\en\fR. The usual C-style backslash escape
 /*     sequences are recognized: \fB\ea \eb \ef \en \er \et \ev
 /*     \e\fIddd\fR (up to three octal digits) and \fB\e\e\fR.
-/* .IP "\fBflags=BDFORhqu.>\fR (optional)"
+/* .IP "\fBflags=BDFORhnqu.>\fR (optional)"
 /*     Optional message processing flags. By default, a message is
 /*     copied unchanged.
 /* .RS
@@ -82,6 +82,9 @@
 /*     Fold the command-line \fB$recipient\fR domain name and \fB$nexthop\fR
 /*     host name to lower case.
 /*     This is recommended for delivery via \fBUUCP\fR.
+/* .IP \fBn\fR
+/*      Don't rewrite empty \fB$sender\fR. The default is to rewrite empty
+/*      \fB$sender\fR to MAILER-DAEMON.
 /* .IP \fBq\fR
 /*     Quote white space and other special characters in the command-line
 /*     \fB$sender\fR and \fB$recipient\fR address localparts (text to the
@@ -399,6 +402,7 @@
 #define PIPE_OPT_FOLD_USER     (1<<16)
 #define PIPE_OPT_FOLD_HOST     (1<<17)
 #define PIPE_OPT_QUOTE_LOCAL   (1<<18)
+#define PIPE_OPT_ALLOW_NO_SENDER (1<<19)

 #define PIPE_OPT_FOLD_FLAGS    (PIPE_OPT_FOLD_USER | PIPE_OPT_FOLD_HOST)

@@ -719,6 +723,9 @@ static void get_service_attr(PIPE_ATTR *
                case 'h':
                    attr->flags |= PIPE_OPT_FOLD_HOST;
                    break;
+               case 'n':
+                   attr->flags |= PIPE_OPT_ALLOW_NO_SENDER;
+                   break;
                case 'q':
                    attr->flags |= PIPE_OPT_QUOTE_LOCAL;
                    break;
@@ -901,22 +908,6 @@ static int deliver_message(DELIVER_REQUE
        msg_info("%s: from <%s>", myname, request->sender);

     /*
-     * First of all, replace an empty sender address by the mailer daemon
-     * address. The resolver already fixes empty recipient addresses.
-     *
-     * XXX Should sender and recipient be transformed into external (i.e.
-     * quoted) form? Problem is that the quoting rules are transport
-     * specific. Such information must evidently not be hard coded into
-     * Postfix, but would have to be provided in the form of lookup tables.
-     */
-    if (request->sender[0] == 0) {
-       buf = vstring_alloc(100);
-       canon_addr_internal(buf, MAIL_ADDR_MAIL_DAEMON);
-       myfree(request->sender);
-       request->sender = vstring_export(buf);
-    }
-
-    /*
      * Sanity checks. The get_service_params() and get_service_attr()
      * routines also do some sanity checks. Look up service attributes and
      * config information only once. This is safe since the information comes
@@ -932,6 +923,22 @@ static int deliver_message(DELIVER_REQUE
     }

     /*
+     * First of all, replace an empty sender address by the mailer daemon
+     * address. The resolver already fixes empty recipient addresses.
+     *
+     * XXX Should sender and recipient be transformed into external (i.e.
+     * quoted) form? Problem is that the quoting rules are transport
+     * specific. Such information must evidently not be hard coded into
+     * Postfix, but would have to be provided in the form of lookup tables.
+     */
+    if ((attr.flags & PIPE_OPT_ALLOW_NO_SENDER) == 0 && request->sender[0] == 0) {
+       buf = vstring_alloc(100);
+       canon_addr_internal(buf, MAIL_ADDR_MAIL_DAEMON);
+       myfree(request->sender);
+       request->sender = vstring_export(buf);
+    }
+
+    /*
      * The D flag cannot be specified for multi-recipient deliveries.
      */
     if ((attr.flags & MAIL_COPY_DELIVERED) && (rcpt_list->len > 1)) {



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages postfix depends on:
ii  adduser                      3.80        Add and remove users and groups
ii  debconf [debconf-2.0]        1.4.67      Debian configuration management sy
ii  dpkg                         1.13.11.0.1 package maintenance system for Deb
ii  libc6                        2.3.5-11    GNU C Library: Shared libraries an
ii  libdb4.3                     4.3.29-3    Berkeley v4.3 Database Libraries [
ii  libsasl2                     2.1.19-1.8  Authentication abstraction library
ii  libssl0.9.8                  0.9.8a-5    SSL shared libraries
ii  lsb-base                     3.0-13      Linux Standard Base 3.0 init scrip
ii  netbase                      4.24        Basic TCP/IP networking system

Versions of packages postfix recommends:
ii  kmail [mail-read 4:3.4.3-1               KDE Email client
ii  mailx [mail-read 1:8.1.2-0.20050715cvs-1 A simple mail user agent
ii  mutt [mail-reade 1.5.11-5                Text-based mailreader supporting M
pn  resolvconf       <none>                  (no description available)

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#347262; Package postfix. Full text and rfc822 format available.

Acknowledgement sent to LaMont Jones <lamont@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 347262@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: Steffen Joeris <steffen.joeris@skolelinux.de>, 347262@bugs.debian.org
Subject: Re: Bug#347262: please add patch for kolab
Date: Sat, 14 Jan 2006 21:19:59 -0700
On Mon, Jan 09, 2006 at 08:43:11PM +0100, Steffen Joeris wrote:
> Attached I include a patch for src/pipe/pipe.c which is needed by the
> Kolab packages. I think this patch will be available in the new postfix
> upstream version 2.3, but it would be nice if you could add it and make
> a Debian version. This would make it easier for the Kolab Maintainers.

I still don't see this even in a postfix-2.3 snapshot.

waiting,
lamont



Noted your statement that Bug has been forwarded to wietse@porcupine.org. Request was from Patrick Winnertz <patrick.winnertz@skolelinux.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#347262; Package postfix. Full text and rfc822 format available.

Acknowledgement sent to Philip Hands <phil@hands.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #17 received at 347262@bugs.debian.org (full text, mbox):

From: Philip Hands <phil@hands.com>
To: 347262@bugs.debian.org
Subject: kolab postfix pipe: flags=n becomes null_sender= in master.cf
Date: Wed, 16 Aug 2006 12:52:47 +0100
[Message part 1 (text/plain, inline)]
Hi,

As you can see here:

  http://www.kolab.org/pipermail/kolab-devel/2005-July/004056.html

It seems that the patch wasn't accepted exactly as is, but instead a new
option to pipe has been added "null_sender", and if you set that empty, it
does what flags=n did in the patch above.

That being the case, since this patch is in 2.3, which is liable to be in
testing soon, this should probably be reassigned to kolabd, so I'll do that.

For the kolabd maintainers:
   please ensure that kolabd depends on postfix (> 2.3), and that all
   mention of pipe being passed a "flags=n" argument should be replaced
   with "null_sender="

Cheers, Phil.
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package `postfix' to `kolabd'. Request was from Philip Hands <phil@hands.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `wishlist' Request was from Philip Hands <phil@hands.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Philip Hands <phil@hands.com> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug had been forwarded to wietse@porcupine.org. Request was from Philip Hands <phil@hands.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 347262-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 347262-close@bugs.debian.org
Subject: Bug#347262: fixed in kolabd 1.9.4-20060707.dfsg-1
Date: Fri, 15 Sep 2006 07:17:06 -0700
Source: kolabd
Source-Version: 1.9.4-20060707.dfsg-1

We believe that the bug you reported is fixed in the latest version of
kolabd, which is due to be installed in the Debian FTP archive:

kolabd_1.9.4-20060707.dfsg-1.diff.gz
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1.diff.gz
kolabd_1.9.4-20060707.dfsg-1.dsc
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1.dsc
kolabd_1.9.4-20060707.dfsg-1_all.deb
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1_all.deb
kolabd_1.9.4-20060707.dfsg.orig.tar.gz
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347262@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated kolabd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 15:56:22 +0200
Source: kolabd
Binary: kolabd
Architecture: source all
Version: 1.9.4-20060707.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 kolabd     - groupware server
Closes: 347262 368977 370032 370529 375431
Changes: 
 kolabd (1.9.4-20060707.dfsg-1) unstable; urgency=low
 .
   * New upstream release
 .
   [ Steffen Joeris ]
   * Include patch to allow configuration for syslog (Closes: #368977)
     Thanks to Marc Brockschmidt
   * Add minor remind to README.Debian
   * Include parts of the patch for the README.Debian documentation
     (Closes: #375431) Thanks to Shri Shrikumar
   * Correct order of slapd.conf in README.Debian to avoid complainings
     from slapd (Closes: #370032) Thanks to Johannes Graumann
   * Add specific dependency against postfix to make sure null_sender
     patch is available in postfix and update the README.Debian to make
     sure that we use the option null_sender= (Closes: #347262)
 .
   [ Noèl Köthe ]
   * add horde-sarge-iCal.patch to package. Only sarge
     horde needs it so README.Debian becomes shorter.:)
   * replace unclear command with more understandable command
     (closes: Bug#370529)
   * corrected svn.debian.org URL for new structure
 .
   [ Peter Eisentraut ]
   * Improved package description
   * Updated standards version
   * Fixed Build-Depends vs. Build-Depends-Indep
   * Added watch file
   * Changed priority to extra for policy conformance
   * Added placeholder man pages
Files: 
 e239ef6a46b361042c8e912fd6f0d51a 764 mail extra kolabd_1.9.4-20060707.dfsg-1.dsc
 9538472bf4cb581fe75f31ad9c6d2e53 103174 mail extra kolabd_1.9.4-20060707.dfsg.orig.tar.gz
 cf837c051b8202c93170d9393eac3943 18182 mail extra kolabd_1.9.4-20060707.dfsg-1.diff.gz
 930cf0634ccfa8f791c6c274fc5cc48e 102506 mail extra kolabd_1.9.4-20060707.dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCrIZTTx8oVVPtMYRAoRKAJ49vR/G+ae7jyWj2fVNwSQrnqwk/QCeJRQC
TCkCN9/J3JlUb0UHl2aBbLs=
=+XS2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:07:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:38:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.